POST
Update a wallet share
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol. -
shareIdstring required
Body Params
object
-
statestring enum requiredpendingapprovalactiveacceptedcanceledrejected -
encryptedPrvstringPrivate key encrypted by the accepting user, used when accepting a wallet share to add to the user's keychains for using the wallet. Required when accepting a share that includes a keychain or when userMultiKeyRotationRequired is true. -
pubstringPublic key of the accepting user. Required for multi-user-key wallet shares (when userMultiKeyRotationRequired is true). Optional for non-multi-user-key wallets. If provided for non-multi-user-key wallets, it will be validated against the wallet's user key public key. -
keyIdstringKey ID for key rotation verification (deprecated). -
signaturestringSignature for key rotation verification (deprecated). -
payloadstringPayload for key rotation verification (deprecated). -
webauthnInfoobjectPasskey PRF wallet encryption data. When provided alongside encryptedPrv on a hot wallet, attaches the passkey device metadata to the user key.webauthnInfo object
-
prfSaltstring requiredPRF salt used for key derivation. -
otpDeviceIdstring requiredThe passkey OTP device ID. -
encryptedPrvstring requiredPrivate key encrypted with the PRF-derived key.
-
Responses
200
OK
Response Body
object
-
statestring enumNew state of the wallet share after updatependingapprovalactiveacceptedcanceledrejected -
changedboolean